Bug 88707 - Web Inspector: Implement snippets evaluation.
Summary: Web Inspector: Implement snippets evaluation.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Vsevolod Vlasov
URL:
Keywords:
Depends on: 90385
Blocks: 75094
  Show dependency treegraph
 
Reported: 2012-06-09 05:34 PDT by Vsevolod Vlasov
Modified: 2012-07-02 07:56 PDT (History)
16 users (show)

See Also:


Attachments
Patch (28.15 KB, patch)
2012-06-09 05:54 PDT, Vsevolod Vlasov
no flags Details | Formatted Diff | Diff
Patch (28.72 KB, patch)
2012-06-22 11:42 PDT, Vsevolod Vlasov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Vlasov 2012-06-09 05:34:29 PDT
Patch to follow.
Comment 1 Vsevolod Vlasov 2012-06-09 05:54:11 PDT
Created attachment 146697 [details]
Patch
Comment 2 Pavel Feldman 2012-06-09 06:40:48 PDT
Comment on attachment 146697 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=146697&action=review

> Source/WebCore/inspector/front-end/BreakpointManager.js:302
> +            var oldFakeUILocation = /** @type {WebInspector.UILocation} */ this._uiLocations.get(this._fakeRawLocation);

Isn't this the same as this._primaryUILocation ?

> Source/WebCore/inspector/front-end/BreakpointManager.js:303
> +            if (oldFakeUILocation) {

Can it be 0?

> Source/WebCore/inspector/front-end/BreakpointManager.js:360
> +        if (this._enabled && this._primaryUILocation.uiLocationToRawLocation()) {

This little twist changes the way breakpoint manager interacts with the debugger. I would add a comment. And I don't think I like it anyways.

> Source/WebCore/inspector/front-end/DebuggerModel.js:138
> +        if (rawLocation.scriptId) {

I hate to say it, but I feel like debugging capabilities in the snippet editor are not worth making the underlying models so much more complex.
Comment 3 Vsevolod Vlasov 2012-06-22 11:42:07 PDT
Created attachment 149075 [details]
Patch
Comment 4 Vsevolod Vlasov 2012-07-02 05:52:13 PDT
Committed r121673: <http://trac.webkit.org/changeset/121673>